
Almirah.Code - CodeTask #7

Create Project Template

01/16/2024 08:51 PM - Oleksandr Ivanov

Status: Closed Start date: 01/16/2024

Priority: Normal Due date: 01/19/2024

Assignee: Oleksandr Ivanov % Done: 100%

Category:  Estimated time: 8:00 hours

Target version: 0.0.3 Spent time: 1:30 hour

Description

It was decided to release this software in a form of Ruby Gem.

Ruby Gems allows to implement very powerful command line utilities. At the same time, they are easy to install if there is no

dependencies on the platform or compiler specific packets.

So, ideally it would be good to develop a gem with no dependencies at all.

This task is to create the Ruby Gem project structure for further development.

History

#1 - 01/16/2024 09:43 PM - Oleksandr Ivanov

- Status changed from New to In Progress

#2 - 01/16/2024 10:01 PM - Oleksandr Ivanov

- % Done changed from 0 to 80

The project structure is created (7b00b8ac)

#3 - 01/16/2024 10:02 PM - Oleksandr Ivanov

- Status changed from In Progress to Feedback

#4 - 01/16/2024 10:07 PM - Oleksandr Ivanov

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

The code changes were reviewed in https://github.com/OleksandrIvanovDev/Almirah.Code/pull/1

Initial gem version was pushed to https://rubygems.org/gems/Almirah

It can be installed for verification with gem install Almirah
